pcl::PolynomialCalculationsT< real >::Parameters Struct Reference

Parameters used in this class. More...

`#include <pcl/common/polynomial_calculations.h>`

## Public Member Functions

| Parameters ()
void | setZeroValue (real new_zero_value)
| Set zero_value. More...

## Public Attributes

real | zero_value
| Every value below this is considered to be zero. More...
real | sqr_zero_value
| sqr of the above More...

## Detailed Description

### template<typename real>
struct pcl::PolynomialCalculationsT< real >::Parameters

Parameters used in this class.

Definition at line 59 of file polynomial_calculations.h.

## Constructor & Destructor Documentation

template<typename real >

pcl::PolynomialCalculationsT< real >::Parameters::Parameters | ( |  | ) |

inline

Definition at line 61 of file polynomial_calculations.h.

References pcl::PolynomialCalculationsT< real >::Parameters::setZeroValue().

## Member Function Documentation

template<typename real >

void pcl::PolynomialCalculationsT< real >::Parameters::setZeroValue | ( | real | new_zero_value | ) |

inline

Set zero_value.

Definition at line 19 of file polynomial_calculations.hpp.

References pcl::PolynomialCalculationsT< real >::Parameters::sqr_zero_value, and pcl::PolynomialCalculationsT< real >::Parameters::zero_value.

Referenced by pcl::PolynomialCalculationsT< real >::Parameters::Parameters(), and pcl::PolynomialCalculationsT< real >::setZeroValue().

## Member Data Documentation

template<typename real >

real pcl::PolynomialCalculationsT< real >::Parameters::sqr_zero_value

sqr of the above

Definition at line 67 of file polynomial_calculations.h.

Referenced by pcl::PolynomialCalculationsT< real >::Parameters::setZeroValue(), and pcl::PolynomialCalculationsT< real >::sqrtIsNearlyZero().

template<typename real >

real pcl::PolynomialCalculationsT< real >::Parameters::zero_value

Every value below this is considered to be zero.

Definition at line 66 of file polynomial_calculations.h.

Referenced by pcl::PolynomialCalculationsT< real >::isNearlyZero(), and pcl::PolynomialCalculationsT< real >::Parameters::setZeroValue().

The documentation for this struct was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/polynomial_calculations.h
- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/impl/polynomial_calculations.hpp